Name:		ncmpc
Version:	0.45
Release:	%mkrel 1

Summary:	Ncurses client for MPD
License:	GPL
Group:		Sound
URL:		https://www.musicpd.org/clients/ncmpc/
Source0:	https://www.musicpd.org/download/ncmpc/0/ncmpc-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	ninja
BuildRequires:	boost-devel
BuildRequires:	glib2-devel
BuildRequires:	pkgconfig(libmpdclient)
BuildRequires:	ncurses-devel
BuildRequires:	python-sphinx
BuildRequires:	lib64lirc-devel


%description
ncmpc is a curses client for the Music Player Daemon (MPD). ncmpc connects to a
MPD running on a machine on the local network, and controls this with an
interface inspired by cplay. If ncmpc is used with lirc and irpty it can be
used to manage playlists and control MPD with a remote control.


%prep
%setup -q


%build
export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8
%meson
%meson_build


%install
export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8
%meson_install

%find_lang %name


%files -f %name.lang
%{_docdir}/%{name}/html/
%doc README.rst AUTHORS NEWS COPYING doc/config.sample doc/keys.sample doc/ncmpc.lirc
%{_bindir}/%name
%{_mandir}


%changelog
* Tue Aug 03 2021 tex - 0.45-1pclos2021
- new version

* Thu Apr 18 2019 tex 0.33-1pclos2019
- 0.33
